/**
 */
package testProfile;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see testProfile.TestProfileFactory
 * @model kind="package"
 *        annotation="http://www.eclipse.org/uml2/2.0.0/UML originalName='TestProfile'"
 * @generated
 */
public interface TestProfilePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "testProfile";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://eclipse.org/papyrus/InheritanceTestProfile/1.0.0";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "testProfile";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	TestProfilePackage eINSTANCE = testProfile.impl.TestProfilePackageImpl.init();

	/**
	 * The meta object id for the '{@link testProfile.impl.Stereo1Impl <em>Stereo1</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see testProfile.impl.Stereo1Impl
	 * @see testProfile.impl.TestProfilePackageImpl#getStereo1()
	 * @generated
	 */
	int STEREO1 = 0;

	/**
	 * The feature id for the '<em><b>Base Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STEREO1__BASE_ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Stereo1</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STEREO1_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Stereo1</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STEREO1_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link testProfile.impl.Stereo2Impl <em>Stereo2</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see testProfile.impl.Stereo2Impl
	 * @see testProfile.impl.TestProfilePackageImpl#getStereo2()
	 * @generated
	 */
	int STEREO2 = 1;

	/**
	 * The feature id for the '<em><b>Stereo2 base Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STEREO2__BASE_ELEMENT = 0;

	/**
	 * The number of structural features of the '<em>Stereo2</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STEREO2_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Stereo2</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STEREO2_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link testProfile.impl.ChildImpl <em>Child</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see testProfile.impl.ChildImpl
	 * @see testProfile.impl.TestProfilePackageImpl#getChild()
	 * @generated
	 */
	int CHILD = 2;

	/**
	 * The feature id for the '<em><b>Base Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHILD__BASE_ELEMENT = STEREO1__BASE_ELEMENT;

	/**
	 * The number of structural features of the '<em>Child</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHILD_FEATURE_COUNT = STEREO1_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Child</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHILD_OPERATION_COUNT = STEREO1_OPERATION_COUNT + 0;


	/**
	 * Returns the meta object for class '{@link testProfile.Stereo1 <em>Stereo1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stereo1</em>'.
	 * @see testProfile.Stereo1
	 * @generated
	 */
	EClass getStereo1();

	/**
	 * Returns the meta object for the reference '{@link testProfile.Stereo1#getBaseElement <em>Base Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Base Element</em>'.
	 * @see testProfile.Stereo1#getBaseElement()
	 * @see #getStereo1()
	 * @generated
	 */
	EReference getStereo1_BaseElement();

	/**
	 * Returns the meta object for class '{@link testProfile.Stereo2 <em>Stereo2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stereo2</em>'.
	 * @see testProfile.Stereo2
	 * @generated
	 */
	EClass getStereo2();

	/**
	 * Returns the meta object for the reference '{@link testProfile.Stereo2#getStereo2_baseElement <em>Stereo2 base Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Stereo2 base Element</em>'.
	 * @see testProfile.Stereo2#getStereo2_baseElement()
	 * @see #getStereo2()
	 * @generated
	 */
	EReference getStereo2_BaseElement();

	/**
	 * Returns the meta object for class '{@link testProfile.Child <em>Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Child</em>'.
	 * @see testProfile.Child
	 * @generated
	 */
	EClass getChild();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	TestProfileFactory getTestProfileFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link testProfile.impl.Stereo1Impl <em>Stereo1</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see testProfile.impl.Stereo1Impl
		 * @see testProfile.impl.TestProfilePackageImpl#getStereo1()
		 * @generated
		 */
		EClass STEREO1 = eINSTANCE.getStereo1();

		/**
		 * The meta object literal for the '<em><b>Base Element</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STEREO1__BASE_ELEMENT = eINSTANCE.getStereo1_BaseElement();

		/**
		 * The meta object literal for the '{@link testProfile.impl.Stereo2Impl <em>Stereo2</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see testProfile.impl.Stereo2Impl
		 * @see testProfile.impl.TestProfilePackageImpl#getStereo2()
		 * @generated
		 */
		EClass STEREO2 = eINSTANCE.getStereo2();

		/**
		 * The meta object literal for the '<em><b>Stereo2 base Element</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STEREO2__BASE_ELEMENT = eINSTANCE.getStereo2_BaseElement();

		/**
		 * The meta object literal for the '{@link testProfile.impl.ChildImpl <em>Child</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see testProfile.impl.ChildImpl
		 * @see testProfile.impl.TestProfilePackageImpl#getChild()
		 * @generated
		 */
		EClass CHILD = eINSTANCE.getChild();

	}

} //TestProfilePackage
